#!/usr/bin/python3

import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)
GPIO.setup(18, GPIO.OUT)
GPIO.setup(24, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(25, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.output(18, GPIO.LOW)

try:
   while True:
      if (GPIO.input(24) == GPIO.LOW):
         print('Back door')
         GPIO.output(18, GPIO.HIGH)
      elif (GPIO.input(25) == GPIO.LOW):
         print('Front door')
         GPIO.output(18, GPIO.HIGH)
      else:
         GPIO.output(18, GPIO.LOW)
      time.sleep(0.1)
except KeyboardInterrupt:
   GPIO.cleanup()
print('End of test')

