#
# South Africa Cliff Swallow subclass (base class: Bird)
#
from birds import Bird          #import Bird base class

class SouthAfricaCliffSwallow(Bird):

    #Initialize Cliff Swallow data attributes & obtain Bird inheritance.
    def __init__(self, sex, flock_size):

        #Obtain base class data attributes & methods (inheritance)
        Bird.__init__(self, sex)

        #Initialize subclass data atttributes
        self.__migratory = 'no'         #Non-migratory bird.
        self.__flock_size = flock_size  #How many in flock.

    #Mutator methods for Cliff Swallow data attributes
    def set_flock_size(self,flock_size):  #No. of birds in sighting
        self.__flock_size = flock_size

    #Accessor methods for Cliff Swallow data attributes
    def get_migratory(self):
        return self.__migratory
    def get_flock_size(self):
        return self.__flock_size

