#!/usr/bin/python3

import urllib.request
import lxml.etree
from lxml.cssselect import CSSSelector

url = 'http://weather.yahoo.com/united-states/illinois/chicago-2379574'
response = urllib.request.urlopen(url)
html = response.read()

parser = lxml.etree.HTMLParser(encoding='utf-8')
doctree = lxml.etree.fromstring(html, parser)

div = CSSSelector("div.'day-temp-current temp-f'")
temp = div(doctree)[0].text[0:-1]
print('The current temperature in Chicago is', temp)
