#!/usr/bin/python3

import psycopg2

conn = psycopg2.connect('dbname=pytest')
cursor = conn.cursor()
new_employee = 'INSERT INTO employees VALUES (%s, %s, %s, %s)'
employee1 = ('1', 'Blum', 'Katie Jane', '55000.00')
employee2 = ('2', 'Blum', 'Jessica', '35000.00')
try:
    cursor.execute(new_employee, employee1)
    cursor.execute(new_employee, employee2)
    conn.commit()
except:
    print('Sorry, there was a problem adding the data')
else:
    print('Data values added!')
cursor.close()
conn.close()
